Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class DebugContainerListener

    java.lang.Object
      org.crosswire.common.swing.DebugContainerListener

All Implemented Interfaces:
  ContainerListener, EventListener

    public class DebugContainerListener

extends Object
implements ContainerListener

Attempt to find parenting errors.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: DebugContainerListener.java,v 1.6 2004/11/28 21:36:31 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private static Logger` | `log` The log stream
`private Map` | `map`

Constructor Summary
`DebugContainerListener()`

Method Summary
`private void` | `addChild(Container parent, Component child)`
`void` | `componentAdded(ContainerEvent ev)`
`void` | `componentRemoved(ContainerEvent ev)`
`private void` | `setAlert(Component comp, Color color)`
`private String` | `toString(Component parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    private Map map

### log

    private static final Logger log

  The log stream

Constructor Detail

### DebugContainerListener

    public DebugContainerListener()

Method Detail

### componentAdded

    public void componentAdded(ContainerEvent ev)

  Specified by:
    `componentAdded` in interface `ContainerListener`

### setAlert

    private void setAlert(Component comp,
                          Color color)

### addChild

    private void addChild(Container parent,
                          Component child)

### toString

    private String toString(Component parent)

### componentRemoved

    public void componentRemoved(ContainerEvent ev)

  Specified by:
    `componentRemoved` in interface `ContainerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD